using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("阅片医学审核系统问题")]
[Table("ReadingMedicineSystemQuestion")]
public class ReadingMedicineSystemQuestion : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]

    [ForeignKey("ParentId")]
    public ReadingMedicineSystemQuestion ParentQuestion { get; set; }

    #endregion
    [Comment("类型")]
    public string Type { get; set; } = string.Empty;

    [Comment("父问题触发")]
    public string ParentTriggerValue { get; set; } = string.Empty;

    [Comment("问题名称")]
    public string QuestionName { get; set; } = string.Empty;

    [Comment("语言类型")]
    public LanguageType LanguageType { get; set; } = LanguageType.Chinese;

    [Comment("是否是必须")]
    public bool IsRequired { get; set; }
    [Comment("排序")]
    public int ShowOrder { get; set; }

    [Comment("父问题ID")]
    public Guid? ParentId { get; set; }
    [Comment("类型值")]
    public string TypeValue { get; set; } = string.Empty;
    [Comment("是否启用")]
    public bool IsEnable { get; set; }

    [Comment("任务类型")]
    public ReadingCategory ReadingCategory { get; set; }
    public CriterionType? CriterionTypeEnum { get; set; }

    public bool IsGeneral { get; set; }
}
